Bug 2070000

Summary: Add warning alerts for installing standalone k8s-nmstate
Product: OpenShift Container Platform Reporter: Yossi Segev <ysegev>
Component: Console Kubevirt PluginAssignee: Phillip Bailey <phbailey>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: medium Docs Contact:
Priority: low    
Version: 4.10CC: cnv-qe-bugs, gouyang, myakove, phoracek, rhrazdil, rnetser, rsdeor, yzamir
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 11:02:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2094001    

Description Yossi Segev 2022-03-30 09:11:47 UTC
Description of problem:
Epic https://issues.redhat.com/browse/CNV-7568 requires that the user will be alerted in *4.10.z* (which will probably be 4.10.2, but it is still not confirmed yet) to install the OCP standalone k8s-nmstate, which replaces CNV's k8s-nmstate from 4.11 and on.

The alert should be a warning, and include a link to the relevant manual (where the user will be provided the instructions how to install).

This request is submitted as a bug because it should be applied on a 4.10 z-stream version, and 4.10.0 is already GA'd and released.

Comment 1 Yaacov Zamir 2022-05-31 13:46:25 UTC
> This request is submitted as a bug because it should be applied on a 4.10 z-stream version, and 4.10.0 is already GA'd and released.

moving to OCP because the 4.10.z code is in openshift console

Comment 4 Yaacov Zamir 2022-06-07 12:48:04 UTC
the bug does not happen in 4.11, can't verify - moving to verify so we can merge the 4.10 fix 
Blocks: https://bugzilla.redhat.com/show_bug.cgi?id=2094001

this was not verified by QE - moving to verify so we can unblock 2094001

Comment 5 Yossi Segev 2022-06-09 11:55:33 UTC
@gouyang Why was the target release changed to 4.11.0? This is needed only in 4.10
@yzamir Can you revert the VERIFIED status? This should be verified, but on 4.10, not 4.11. This issue is not relevant for 4.11

Thank you both

Comment 6 Guohua Ouyang 2022-06-09 12:31:29 UTC
(In reply to Yossi Segev from comment #5)
> @gouyang Why was the target release changed to 4.11.0? This is
> needed only in 4.10

For console bug, we need to fix it in 4.11 and then backport to 4.10.z
The 4.10.z bug is https://bugzilla.redhat.com/show_bug.cgi?id=2094001


> @yzamir Can you revert the VERIFIED status? This should be
> verified, but on 4.10, not 4.11. This issue is not relevant for 4.11
> 
> Thank you both

Comment 8 errata-xmlrpc 2022-08-10 11:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069